package com.seer.teach.admin.convert;

import com.seer.teach.admin.request.AdminAiApiKeyReq;
import com.seer.teach.admin.response.AdminAiApiKeyResp;
import com.seer.teach.teacher.module.entity.AiApiKeyEntity;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

@Mapper
public interface AdminAiApiKeyConvert {

    AdminAiApiKeyConvert INSTANCE = Mappers.getMapper(AdminAiApiKeyConvert.class);

    AdminAiApiKeyResp entityToResponse(AiApiKeyEntity aiApiKeyEntity);

    List<AdminAiApiKeyResp> entityListToResponseList(List<AiApiKeyEntity> aiApiKeyEntityList);

    AiApiKeyEntity reqToEntity(AdminAiApiKeyReq aiApiKeyRequest);
}